local eventFrame = CreateFrame("Frame");
local PitBull_HealthBar = PitBull:GetModule("HealthBar");
local QuickHealth = LibStub("LibQuickHealth-1.0");

--- On the PLAYER_LOGIN event we register the HealthUpdated callback from QuickHealth, when it happens, we loop through all frames and call UpdateHealth on the ones with the currect GUID
eventFrame:SetScript("OnEvent", function(self)
	QuickHealth.RegisterCallback(self, "HealthUpdated", function(event, GUID, newHealth)
		for unit, frame in PitBull:IterateUnitFrames() do
			local frameGUID = UnitGUID(unit);
			if(frameGUID == GUID) then
				PitBull_HealthBar:UpdateHealth(unit, frame);
				PitBull_HealthBar:UpdateHealthbarColor(unit, frame);
			end
		end
	end);
end);

-- env changement code taken from interruptus
local proxyEnv = {
	UnitHealth = function(...) return QuickHealth.UnitHealth(QuickHealth, ...); end,
}

local _G = getfenv(0);
setmetatable(proxyEnv, { 
	__index    = _G,
	__newindex = function (t, k, v) _G[k] = v end,
})

--- Change the env of the UpdateHealth function so it uses our UnitHealth function instead of the one from blizz
setfenv(PitBull_HealthBar.UpdateHealth, proxyEnv);

eventFrame:RegisterEvent("PLAYER_LOGIN");